SystemOrganization addCategory: #'Rizel-SMark-Tests'!

SMarkSuite subclass: #RzMarkTestScenario
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-SMark-Tests'!

!RzMarkTestScenario methodsFor: 'rizel' stamp: 'JuanPabloSandovalAlcocer 11/23/2012 09:32'!
benchBasic
	""
	|view|
	view := ROMondrianViewBuilder new.
	view nodes: (1 to: 100).
	view verticalLineLayout.! !

SMarkSuite subclass: #RzRoassalScenario
	instanceVariableNames: 'view window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-SMark-Tests'!

!RzRoassalScenario methodsFor: 'benchmarking' stamp: 'JuanPabloSandovalAlcocer 11/29/2012 16:26'!
benchFixedSize

	| variableNode fixedSizedNode |
	view shape rectangle width: 50; height: 50.
	variableNode := view node: 'Variable size' forIt: [ view nodes: (1 to: 100). view gridLayout ].

	view shape rectangle width: 50; height: 50; fixedSize.
	fixedSizedNode := view node: 'Fixed size' forIt: [ view nodes: (1 to: 100). view gridLayout ].

	self assert: fixedSizedNode resizeStrategy == ROFixedSizedParent instance.
	self assert: variableNode extent >= (50 @ 50).
	self assert: fixedSizedNode extent = (50 @ 50).
	

	window := view open.
! !

!RzRoassalScenario methodsFor: 'benchmarking' stamp: 'JuanPabloSandovalAlcocer 11/29/2012 16:26'!
benchGraph

	"No error should be raised"
	
	view nodes: Collection withAllSubclasses.
	view edgesFrom: #superclass.
	view treeLayout.
	window := view open.! !

!RzRoassalScenario methodsFor: 'benchmarking' stamp: 'JuanPabloSandovalAlcocer 11/29/2012 16:25'!
setUp
	view := ROMondrianViewBuilder new! !

!RzRoassalScenario methodsFor: 'benchmarking' stamp: 'JuanPabloSandovalAlcocer 11/29/2012 16:25'!
tearDown
	super tearDown.
	window ifNotNil: [window delete. window := nil]! !
